Page MenuHomePhabricator

Get a third dumpsdata server
Closed, ResolvedPublic

Description

Having a third server would mean that we can use both current servers as active. We could move some dumps jobs off onto the current fallback host, namely everything but the xml/sql dumps. This will mean some network and i/o load relief for the one active server now, the ability to swap in the new server for either in case of hw failure, and seperate maintenance windows for xml/sql dumps hosts vs misc cron hosts for e.g. security reboots.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2019, 10:20 AM
ArielGlenn triaged this task as Medium priority.
ArielGlenn added a project: Dumps-Generation.

I've asked for that in the budget for next year. @mark, please comment when we have updates.

ArielGlenn moved this task from Backlog to Active on the Dumps-Generation board.May 20 2019, 5:31 AM

This has been requested for next year's capex budget; awaiting outcome.

Can I get quotes on this now, @mark?

I'm going to go ahead with this; @RobH, I need a quote for a host that looks like dumpsdata1001/2. Previous quote info is here: T161344 and specs are here: https://wikitech.wikimedia.org/wiki/Dumps/Dumpsdata_hosts#Hardware What else do you need from me to proceed? (If I should create a separate task for a different queue and tag it with a specific team, just lmk that too.)

Restricted Application added a project: Operations. · View Herald TranscriptJun 24 2019, 6:01 AM
RobH mentioned this in Unknown Object (Task).Jun 25 2019, 5:34 PM
RobH added a subtask: Unknown Object (Task).
ArielGlenn renamed this task from consider getting a third dumpsdata server to Get a third dumpsdata server.Jul 3 2019, 5:52 AM
Cmjohnson closed subtask Unknown Object (Task) as Resolved.Sep 10 2019, 12:04 PM

I guess by the closure of the subtask that the server has arrived? What's the outlook for getting it racked?

RobH closed this task as Resolved.Oct 23 2019, 9:17 PM
RobH removed ArielGlenn as the assignee of this task.

As T234076 tracks the racking and install, this request is resolved.

ArielGlenn reopened this task as Open.Nov 4 2019, 2:35 PM

Re-opening until the base install is done.

Change 550090 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] enable rsync to dumpsdata1003 for all dumps servers

https://gerrit.wikimedia.org/r/550090

Change 550090 merged by ArielGlenn:
[operations/puppet@production] enable rsync to dumpsdata1003 for all dumps servers

https://gerrit.wikimedia.org/r/550090

ArielGlenn closed this task as Resolved.Nov 29 2019, 11:08 AM
ArielGlenn claimed this task.

This is so done. So very very done. Thanks everyone!